
<!-- README.md is generated from README.Rmd. Please edit that file -->

# palaeoSig

<!-- badges: start -->

[![R-CMD-check](https://github.com/richardjtelford/palaeoSig/actions/workflows/R-CMD-check.yaml/badge.svg)](https://github.com/richardjtelford/palaeoSig/actions/workflows/R-CMD-check.yaml)
<!-- badges: end -->

PalaeoSig includes the methods developed in:

- [Telford and Birks
  (2011)](https://doi.org/10.1016/j.quascirev.2011.03.002) for testing
  the significance of transfer function reconstructions.

- [Telford and Birks
  (2009)](https://doi.org/10.1016/j.quascirev.2008.12.020) for
  evaluating transfer function performance in spatially autocorrelated
  environments.

- [Heegaard et al. (2005)](https://doi.org/10.1191/0959683605hl836rr)
  for an age-depth modelling procedure

- [Minchin (1987)](https://www.jstor.org/stable/20038177) for the
  simulation of community data, base on
  [COMPAS](https://www.siue.edu/artsandsciences/biology/pminchi/software.shtml).

## Installation

You can install the released version of palaeoSig from
[CRAN](https://CRAN.R-project.org) with:

``` r
install.packages("palaeoSig")
```

And the development version from
[GitHub](https://github.com/richardjtelford/palaeoSig) with:

``` r
# install.packages("remotes")
remotes::install_github("richardjtelford/palaeoSig")
```
